import os.path
try:
    import configparser
except ImportError:
    # Oh, you're on python2. Well, I'm gracious and take its old
    # ConfigParser module.
    import ConfigParser as configparser

def get_conf(path):
    config_files = []
    config = configparser.ConfigParser()

    if not os.path.exists(path):
        return False

    for (path, dirs, files) in os.walk(path):
        for file in files:
            if os.path.splitext(file)[1] == '.cfg':
                config_files.append(os.path.join(path, file))

    config.read(config_files)

    return config
